<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1TestCaseInfo.html">TestCaseInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::TestCaseInfo Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Benchmark</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a1a5e0825132a38d091defdebbf2f8ce9">className</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a37fe2db9425bc45f6a33893eac31198e">description</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#abe33d81233230cdae8afa714688e905b">expectedToFail</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a934b1a0952700743e99d62ec1731a2e2">isHidden</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">IsHidden</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a150144c1b509d16ee9305bfd4c5437fc">lcaseTags</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#aa9407b7f442655b51a2aad24b3fa2fd3">lineInfo</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">MayFail</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a463794e2f5cfead307c93efd134ade36">name</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">None</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">NonPortable</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a5f37291295e3a6de2dd85324c941edaf">okToFail</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc1e84bd7a2e180895a06d9131302af0">properties</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a0fe44abaf18ae7c26f98a9fc2b08679c">setTags</a>(TestCaseInfo &amp;testCaseInfo, std::vector&lt; std::string &gt; tags)</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a0fe44abaf18ae7c26f98a9fc2b08679c">setTags</a>(TestCaseInfo &amp;testCaseInfo, std::vector&lt; std::string &gt; tags)</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">ShouldFail</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> enum name</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eac">SpecialProperties</a> enum name</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#ae710376996aa2cc50787e23c5184d8b8">tags</a></td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a17506de67fb18e27511c17f8a81119d8">tagsAsString</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a>(std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, SourceLineInfo const &amp;_lineInfo)</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#ad1a6b08b5a83d1c5eb4596b727b5305f">TestCaseInfo</a>(std::string const &amp;_name, std::string const &amp;_className, std::string const &amp;_description, std::vector&lt; std::string &gt; const &amp;_tags, SourceLineInfo const &amp;_lineInfo)</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#afc70d4379a2070cc22b693ffe3932c1a">throws</a>() const</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Throws</a> enum value</td><td class="entry"><a class="el" href="structCatch_1_1TestCaseInfo.html">Catch::TestCaseInfo</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
